%define	module	MIME-Types
%define	name	perl-%{module}
%define	modprefix MIME

%define	version	1.24
%define	release %mkrel 2

Name:		%{name}
Summary:	MIME::Types module for Perl
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Test::More) >= 0.47
Buildarch:	noarch

%description
This Perl module maintains a set of MIME::Type objects, which each describe one
known mime type.  There are many types defined by RFCs and vendors, so the list
is long but not complete.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog
%{perl_vendorlib}/%{modprefix}
%{_mandir}/*/*




%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.24-2mdv2009.0
+ Revision: 265417
- rebuild early 2009.0 package (before pixel changes)

* Sat May 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2009.0
+ Revision: 210844
- update to new version 1.24

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdv2008.1
+ Revision: 132042
- update to new version 1.23

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdv2008.1
+ Revision: 109548
- update to new version 1.22

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdv2008.1
+ Revision: 97513
- update to new version 1.21

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2008.0
+ Revision: 46651
- update to new version 1.20

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 1.19-1mdv2008.0
+ Revision: 20278
- 1.19


* Wed Aug 16 2006 Scott Karns <scottk@mandriva.org>
+ 08/16/06 14:50:38 (56411)
Version 1.17

* Wed Aug 16 2006 Scott Karns <scottk@mandriva.org>
+ 08/16/06 14:24:49 (56395)
Import perl-MIME-Types

* Tue May 16 2006 Scott Karns <scottk@mandriva.org> 1.16-3mdk
- Modify specfile to comply with Mandriva perl packaging policy

* Fri Mar 31 2006 Buchan Milne <bgmilne@mandriva.org> 1.16-2mdk
- Rebuild
- use mkrel

* Mon Oct 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.16-1mdk
- 1.16

* Fri May 06 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.15-1mdk
- 1.15
- Change summary
- Add ChangeLog in docs

* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13-1mdk
- 1.13
- wipe buildroot in %%install, not %%prep
- cosmetics

* Sat Nov 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.07-2mdk
- Franck Villaume <fvill@freesurf.fr>
  - add BuildRequires : perl-devel

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 1.07-1mdk
- 1.07.

